package com.xunhong.erp.turbo.api.user.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum SourceWayEnum {
	/**
	 * 1:手动录入 2:外部导入 3:九宫格抽奖 4:进入领券页 5:进入首页
	 */
	MANUAL_ENTRY("1", "手动录入"),
	EXTERNAL_IMPORT("2", "外部导入"),
	NINE_GRID_LOTTERY("3", "九宫格抽奖"),
	ENTER_COUPON_PAGE("4", "进入领券页"),
	ENTER_HOME_PAGE("5", "进入首页");

	@EnumValue
	private final String code;
	private final String message;
}
